Subject: Re: bug#20193: 25.0.50; declarative type specification for D-Bus args

From: Michael Albinus <[email-masked]>
Date: Fri, 27 Mar 2015 08:40:11 +0100

Daiki Ueno <[email-masked]> writes:

> Certainly.  Do you have any preference on the alternative form?  My
> example used the `:type' keyword, but it was a tentative plan and might
> be too verbose for programmers.  Reusing `:signature' might be a better
> idea as you mentioned (though it might be confusing with the current
> meaning of `:signature' as a D-Bus type "g").

I'm OK with :type, as you said it is similar to what defcustom
offers. :signature would be confusing indeed, when it means Lisp
objects instead of a signature string.

> Regards,
> --
> Daiki Ueno

Best regards, Michael.